[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpGetEnv

Return value of environment variable.

## Declaration

Source position: bunxh.inc line 111

`function FpGetEnv(`
`name: pChar`
`):pChar; function FpGetEnv(`
`name: string`
`):pChar;`

## Description

FPGetEnv returns the value of the environment variable in Name. If the variable is not defined, nil is returned. The value of the environment variable may be the empty string. A PChar is returned to accommodate for strings longer than 255 bytes, TERMCAP and LS_COLORS, for instance.

## Errors

None.

## Example

    Program Example41;

    { Program to demonstrate the GetEnv function. }

    Uses BaseUnix;

    begin
      Writeln ('Path is : ',fpGetenv('PATH'));
    end.